const http = require('http');
const fs = require('fs');
const aimagin = require("./core/server/module_main.js");
http.createServer(function(req, res){
    try {
        aimagin.connect(req, res);
    } catch(e) {
        console.log(e);
        fs.appendFile("./server_listen_error.log", new Date().toISOString()+'\r\n'+e.stack+'\r\n-----------------------------\r\n', ()=>{});
    }
}).on('upgrade', aimagin.upgrade).listen(aimagin.port);

process.on('uncaughtException', function(e) {
    fs.appendFile("./server_listen_error_process.log", new Date().toISOString()+'\r\n'+e.stack+'\r\n-----------------------------\r\n', ()=>{});
});